OpenAPI definition

AdministrationController

topEventsParticipants


/admin/api/top-events-participants

Usage and SDK Samples

curl -X GET \
 -H "Accept: */*" \
 "http://127.0.0.1:8443/admin/api/top-events-participants?limit=56"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AdministrationControllerApi;

import java.io.File;
import java.util.*;

public class AdministrationControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        AdministrationControllerApi apiInstance = new AdministrationControllerApi();
        Integer limit = 56; // Integer | 

        try {
            array[EventParticipantsStatDTO] result = apiInstance.topEventsParticipants(limit);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationControllerApi#topEventsParticipants");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Integer limit = new Integer(); // Integer | 

try {
    final result = await api_instance.topEventsParticipants(limit);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->topEventsParticipants: $e\n');
}

import org.openapitools.client.api.AdministrationControllerApi;

public class AdministrationControllerApiExample {
    public static void main(String[] args) {
        AdministrationControllerApi apiInstance = new AdministrationControllerApi();
        Integer limit = 56; // Integer | 

        try {
            array[EventParticipantsStatDTO] result = apiInstance.topEventsParticipants(limit);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationControllerApi#topEventsParticipants");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
AdministrationControllerApi *apiInstance = [[AdministrationControllerApi alloc] init];
Integer *limit = 56; //  (optional) (default to 10)

[apiInstance topEventsParticipantsWith:limit
              completionHandler: ^(array[EventParticipantsStatDTO] output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.AdministrationControllerApi()
var opts = {
  'limit': 56 // {Integer} 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.topEventsParticipants(opts, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class topEventsParticipantsExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new AdministrationControllerApi();
            var limit = 56;  // Integer |  (optional)  (default to 10)

            try {
                array[EventParticipantsStatDTO] result = apiInstance.topEventsParticipants(limit);
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling AdministrationControllerApi.topEventsParticipants: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\AdministrationControllerApi();
$limit = 56; // Integer | 

try {
    $result = $api_instance->topEventsParticipants($limit);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdministrationControllerApi->topEventsParticipants: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::AdministrationControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::AdministrationControllerApi->new();
my $limit = 56; # Integer | 

eval {
    my $result = $api_instance->topEventsParticipants(limit => $limit);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling AdministrationControllerApi->topEventsParticipants: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.AdministrationControllerApi()
limit = 56 # Integer |  (optional) (default to 10)

try:
    api_response = api_instance.top_events_participants(limit=limit)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdministrationControllerApi->topEventsParticipants: %s\n" % e)
extern crate AdministrationControllerApi;

pub fn main() {
    let limit = 56; // Integer

    let mut context = AdministrationControllerApi::Context::default();
    let result = client.topEventsParticipants(limit, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Query parameters
Name Description
limit
Integer (int32)

Responses


topFavoriteGames


/admin/api/top-favorite-games

Usage and SDK Samples

curl -X GET \
 -H "Accept: */*" \
 "http://127.0.0.1:8443/admin/api/top-favorite-games?limit=56"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AdministrationControllerApi;

import java.io.File;
import java.util.*;

public class AdministrationControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        AdministrationControllerApi apiInstance = new AdministrationControllerApi();
        Integer limit = 56; // Integer | 

        try {
            array[GameFavStatDTO] result = apiInstance.topFavoriteGames(limit);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationControllerApi#topFavoriteGames");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Integer limit = new Integer(); // Integer | 

try {
    final result = await api_instance.topFavoriteGames(limit);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->topFavoriteGames: $e\n');
}

import org.openapitools.client.api.AdministrationControllerApi;

public class AdministrationControllerApiExample {
    public static void main(String[] args) {
        AdministrationControllerApi apiInstance = new AdministrationControllerApi();
        Integer limit = 56; // Integer | 

        try {
            array[GameFavStatDTO] result = apiInstance.topFavoriteGames(limit);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationControllerApi#topFavoriteGames");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
AdministrationControllerApi *apiInstance = [[AdministrationControllerApi alloc] init];
Integer *limit = 56; //  (optional) (default to 10)

[apiInstance topFavoriteGamesWith:limit
              completionHandler: ^(array[GameFavStatDTO] output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.AdministrationControllerApi()
var opts = {
  'limit': 56 // {Integer} 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.topFavoriteGames(opts, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class topFavoriteGamesExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new AdministrationControllerApi();
            var limit = 56;  // Integer |  (optional)  (default to 10)

            try {
                array[GameFavStatDTO] result = apiInstance.topFavoriteGames(limit);
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling AdministrationControllerApi.topFavoriteGames: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\AdministrationControllerApi();
$limit = 56; // Integer | 

try {
    $result = $api_instance->topFavoriteGames($limit);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdministrationControllerApi->topFavoriteGames: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::AdministrationControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::AdministrationControllerApi->new();
my $limit = 56; # Integer | 

eval {
    my $result = $api_instance->topFavoriteGames(limit => $limit);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling AdministrationControllerApi->topFavoriteGames: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.AdministrationControllerApi()
limit = 56 # Integer |  (optional) (default to 10)

try:
    api_response = api_instance.top_favorite_games(limit=limit)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdministrationControllerApi->topFavoriteGames: %s\n" % e)
extern crate AdministrationControllerApi;

pub fn main() {
    let limit = 56; // Integer

    let mut context = AdministrationControllerApi::Context::default();
    let result = client.topFavoriteGames(limit, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Query parameters
Name Description
limit
Integer (int32)

Responses


AdministrationRestController

approveEvent


/api/v1/admin/events/{id}

Usage and SDK Samples

curl -X PUT \
 "http://127.0.0.1:8443/api/v1/admin/events/{id}"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AdministrationRestControllerApi;

import java.io.File;
import java.util.*;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();
        Long id = 789; // Long | 

        try {
            apiInstance.approveEvent(id);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#approveEvent");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Long id = new Long(); // Long | 

try {
    final result = await api_instance.approveEvent(id);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->approveEvent: $e\n');
}

import org.openapitools.client.api.AdministrationRestControllerApi;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();
        Long id = 789; // Long | 

        try {
            apiInstance.approveEvent(id);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#approveEvent");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
AdministrationRestControllerApi *apiInstance = [[AdministrationRestControllerApi alloc] init];
Long *id = 789; //  (default to null)

[apiInstance approveEventWith:id
              completionHandler: ^(NSError* error) {
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.AdministrationRestControllerApi()
var id = 789; // {Long} 

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.approveEvent(id, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class approveEventExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new AdministrationRestControllerApi();
            var id = 789;  // Long |  (default to null)

            try {
                apiInstance.approveEvent(id);
            } catch (Exception e) {
                Debug.Print("Exception when calling AdministrationRestControllerApi.approveEvent: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\AdministrationRestControllerApi();
$id = 789; // Long | 

try {
    $api_instance->approveEvent($id);
} catch (Exception $e) {
    echo 'Exception when calling AdministrationRestControllerApi->approveEvent: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::AdministrationRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::AdministrationRestControllerApi->new();
my $id = 789; # Long | 

eval {
    $api_instance->approveEvent(id => $id);
};
if ($@) {
    warn "Exception when calling AdministrationRestControllerApi->approveEvent: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.AdministrationRestControllerApi()
id = 789 # Long |  (default to null)

try:
    api_instance.approve_event(id)
except ApiException as e:
    print("Exception when calling AdministrationRestControllerApi->approveEvent: %s\n" % e)
extern crate AdministrationRestControllerApi;

pub fn main() {
    let id = 789; // Long

    let mut context = AdministrationRestControllerApi::Context::default();
    let result = client.approveEvent(id, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Path parameters
Name Description
id*
Long (int64)
Required

Responses


approveNew


/api/v1/admin/news/{id}

Usage and SDK Samples

curl -X PUT \
 "http://127.0.0.1:8443/api/v1/admin/news/{id}"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AdministrationRestControllerApi;

import java.io.File;
import java.util.*;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();
        Long id = 789; // Long | 

        try {
            apiInstance.approveNew(id);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#approveNew");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Long id = new Long(); // Long | 

try {
    final result = await api_instance.approveNew(id);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->approveNew: $e\n');
}

import org.openapitools.client.api.AdministrationRestControllerApi;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();
        Long id = 789; // Long | 

        try {
            apiInstance.approveNew(id);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#approveNew");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
AdministrationRestControllerApi *apiInstance = [[AdministrationRestControllerApi alloc] init];
Long *id = 789; //  (default to null)

[apiInstance approveNewWith:id
              completionHandler: ^(NSError* error) {
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.AdministrationRestControllerApi()
var id = 789; // {Long} 

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.approveNew(id, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class approveNewExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new AdministrationRestControllerApi();
            var id = 789;  // Long |  (default to null)

            try {
                apiInstance.approveNew(id);
            } catch (Exception e) {
                Debug.Print("Exception when calling AdministrationRestControllerApi.approveNew: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\AdministrationRestControllerApi();
$id = 789; // Long | 

try {
    $api_instance->approveNew($id);
} catch (Exception $e) {
    echo 'Exception when calling AdministrationRestControllerApi->approveNew: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::AdministrationRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::AdministrationRestControllerApi->new();
my $id = 789; # Long | 

eval {
    $api_instance->approveNew(id => $id);
};
if ($@) {
    warn "Exception when calling AdministrationRestControllerApi->approveNew: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.AdministrationRestControllerApi()
id = 789 # Long |  (default to null)

try:
    api_instance.approve_new(id)
except ApiException as e:
    print("Exception when calling AdministrationRestControllerApi->approveNew: %s\n" % e)
extern crate AdministrationRestControllerApi;

pub fn main() {
    let id = 789; // Long

    let mut context = AdministrationRestControllerApi::Context::default();
    let result = client.approveNew(id, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Path parameters
Name Description
id*
Long (int64)
Required

Responses


getTopEvents


/api/v1/admin/top-events-participants

Usage and SDK Samples

curl -X GET \
 -H "Accept: */*" \
 "http://127.0.0.1:8443/api/v1/admin/top-events-participants"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AdministrationRestControllerApi;

import java.io.File;
import java.util.*;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();

        try {
            array[EventParticipantsStatDTO] result = apiInstance.getTopEvents();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#getTopEvents");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.getTopEvents();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->getTopEvents: $e\n');
}

import org.openapitools.client.api.AdministrationRestControllerApi;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();

        try {
            array[EventParticipantsStatDTO] result = apiInstance.getTopEvents();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#getTopEvents");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
AdministrationRestControllerApi *apiInstance = [[AdministrationRestControllerApi alloc] init];

[apiInstance getTopEventsWithCompletionHandler: 
              ^(array[EventParticipantsStatDTO] output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.AdministrationRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.getTopEvents(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class getTopEventsExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new AdministrationRestControllerApi();

            try {
                array[EventParticipantsStatDTO] result = apiInstance.getTopEvents();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling AdministrationRestControllerApi.getTopEvents: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\AdministrationRestControllerApi();

try {
    $result = $api_instance->getTopEvents();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdministrationRestControllerApi->getTopEvents: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::AdministrationRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::AdministrationRestControllerApi->new();

eval {
    my $result = $api_instance->getTopEvents();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling AdministrationRestControllerApi->getTopEvents: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.AdministrationRestControllerApi()

try:
    api_response = api_instance.get_top_events()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdministrationRestControllerApi->getTopEvents: %s\n" % e)
extern crate AdministrationRestControllerApi;

pub fn main() {

    let mut context = AdministrationRestControllerApi::Context::default();
    let result = client.getTopEvents(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


getTopGames


/api/v1/admin/top-favorite-games

Usage and SDK Samples

curl -X GET \
 -H "Accept: */*" \
 "http://127.0.0.1:8443/api/v1/admin/top-favorite-games"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AdministrationRestControllerApi;

import java.io.File;
import java.util.*;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();

        try {
            array[GameFavStatDTO] result = apiInstance.getTopGames();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#getTopGames");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.getTopGames();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->getTopGames: $e\n');
}

import org.openapitools.client.api.AdministrationRestControllerApi;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();

        try {
            array[GameFavStatDTO] result = apiInstance.getTopGames();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#getTopGames");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
AdministrationRestControllerApi *apiInstance = [[AdministrationRestControllerApi alloc] init];

[apiInstance getTopGamesWithCompletionHandler: 
              ^(array[GameFavStatDTO] output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.AdministrationRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.getTopGames(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class getTopGamesExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new AdministrationRestControllerApi();

            try {
                array[GameFavStatDTO] result = apiInstance.getTopGames();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling AdministrationRestControllerApi.getTopGames: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\AdministrationRestControllerApi();

try {
    $result = $api_instance->getTopGames();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdministrationRestControllerApi->getTopGames: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::AdministrationRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::AdministrationRestControllerApi->new();

eval {
    my $result = $api_instance->getTopGames();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling AdministrationRestControllerApi->getTopGames: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.AdministrationRestControllerApi()

try:
    api_response = api_instance.get_top_games()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdministrationRestControllerApi->getTopGames: %s\n" % e)
extern crate AdministrationRestControllerApi;

pub fn main() {

    let mut context = AdministrationRestControllerApi::Context::default();
    let result = client.getTopGames(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


rejectEvent


/api/v1/admin/events/{id}

Usage and SDK Samples

curl -X DELETE \
 "http://127.0.0.1:8443/api/v1/admin/events/{id}"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AdministrationRestControllerApi;

import java.io.File;
import java.util.*;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();
        Long id = 789; // Long | 

        try {
            apiInstance.rejectEvent(id);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#rejectEvent");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Long id = new Long(); // Long | 

try {
    final result = await api_instance.rejectEvent(id);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->rejectEvent: $e\n');
}

import org.openapitools.client.api.AdministrationRestControllerApi;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();
        Long id = 789; // Long | 

        try {
            apiInstance.rejectEvent(id);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#rejectEvent");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
AdministrationRestControllerApi *apiInstance = [[AdministrationRestControllerApi alloc] init];
Long *id = 789; //  (default to null)

[apiInstance rejectEventWith:id
              completionHandler: ^(NSError* error) {
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.AdministrationRestControllerApi()
var id = 789; // {Long} 

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.rejectEvent(id, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class rejectEventExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new AdministrationRestControllerApi();
            var id = 789;  // Long |  (default to null)

            try {
                apiInstance.rejectEvent(id);
            } catch (Exception e) {
                Debug.Print("Exception when calling AdministrationRestControllerApi.rejectEvent: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\AdministrationRestControllerApi();
$id = 789; // Long | 

try {
    $api_instance->rejectEvent($id);
} catch (Exception $e) {
    echo 'Exception when calling AdministrationRestControllerApi->rejectEvent: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::AdministrationRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::AdministrationRestControllerApi->new();
my $id = 789; # Long | 

eval {
    $api_instance->rejectEvent(id => $id);
};
if ($@) {
    warn "Exception when calling AdministrationRestControllerApi->rejectEvent: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.AdministrationRestControllerApi()
id = 789 # Long |  (default to null)

try:
    api_instance.reject_event(id)
except ApiException as e:
    print("Exception when calling AdministrationRestControllerApi->rejectEvent: %s\n" % e)
extern crate AdministrationRestControllerApi;

pub fn main() {
    let id = 789; // Long

    let mut context = AdministrationRestControllerApi::Context::default();
    let result = client.rejectEvent(id, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Path parameters
Name Description
id*
Long (int64)
Required

Responses


rejectNew


/api/v1/admin/news/{id}

Usage and SDK Samples

curl -X DELETE \
 "http://127.0.0.1:8443/api/v1/admin/news/{id}"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.AdministrationRestControllerApi;

import java.io.File;
import java.util.*;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();
        Long id = 789; // Long | 

        try {
            apiInstance.rejectNew(id);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#rejectNew");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Long id = new Long(); // Long | 

try {
    final result = await api_instance.rejectNew(id);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->rejectNew: $e\n');
}

import org.openapitools.client.api.AdministrationRestControllerApi;

public class AdministrationRestControllerApiExample {
    public static void main(String[] args) {
        AdministrationRestControllerApi apiInstance = new AdministrationRestControllerApi();
        Long id = 789; // Long | 

        try {
            apiInstance.rejectNew(id);
        } catch (ApiException e) {
            System.err.println("Exception when calling AdministrationRestControllerApi#rejectNew");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
AdministrationRestControllerApi *apiInstance = [[AdministrationRestControllerApi alloc] init];
Long *id = 789; //  (default to null)

[apiInstance rejectNewWith:id
              completionHandler: ^(NSError* error) {
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.AdministrationRestControllerApi()
var id = 789; // {Long} 

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.rejectNew(id, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class rejectNewExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new AdministrationRestControllerApi();
            var id = 789;  // Long |  (default to null)

            try {
                apiInstance.rejectNew(id);
            } catch (Exception e) {
                Debug.Print("Exception when calling AdministrationRestControllerApi.rejectNew: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\AdministrationRestControllerApi();
$id = 789; // Long | 

try {
    $api_instance->rejectNew($id);
} catch (Exception $e) {
    echo 'Exception when calling AdministrationRestControllerApi->rejectNew: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::AdministrationRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::AdministrationRestControllerApi->new();
my $id = 789; # Long | 

eval {
    $api_instance->rejectNew(id => $id);
};
if ($@) {
    warn "Exception when calling AdministrationRestControllerApi->rejectNew: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.AdministrationRestControllerApi()
id = 789 # Long |  (default to null)

try:
    api_instance.reject_new(id)
except ApiException as e:
    print("Exception when calling AdministrationRestControllerApi->rejectNew: %s\n" % e)
extern crate AdministrationRestControllerApi;

pub fn main() {
    let id = 789; // Long

    let mut context = AdministrationRestControllerApi::Context::default();
    let result = client.rejectNew(id, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Path parameters
Name Description
id*
Long (int64)
Required

Responses


CustomErrorRestController

handleError


/error

Usage and SDK Samples

curl -X GET \
 -H "Accept: application/json" \
 "http://127.0.0.1:8443/error"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.CustomErrorRestControllerApi;

import java.io.File;
import java.util.*;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.handleError();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->handleError: $e\n');
}

import org.openapitools.client.api.CustomErrorRestControllerApi;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
CustomErrorRestControllerApi *apiInstance = [[CustomErrorRestControllerApi alloc] init];

[apiInstance handleErrorWithCompletionHandler: 
              ^(ErrorDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.CustomErrorRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.handleError(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class handleErrorExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new CustomErrorRestControllerApi();

            try {
                ErrorDTO result = apiInstance.handleError();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling CustomErrorRestControllerApi.handleError: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\CustomErrorRestControllerApi();

try {
    $result = $api_instance->handleError();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CustomErrorRestControllerApi->handleError: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::CustomErrorRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::CustomErrorRestControllerApi->new();

eval {
    my $result = $api_instance->handleError();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling CustomErrorRestControllerApi->handleError: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.CustomErrorRestControllerApi()

try:
    api_response = api_instance.handle_error()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CustomErrorRestControllerApi->handleError: %s\n" % e)
extern crate CustomErrorRestControllerApi;

pub fn main() {

    let mut context = CustomErrorRestControllerApi::Context::default();
    let result = client.handleError(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


handleError1


/error

Usage and SDK Samples

curl -X POST \
 -H "Accept: application/json" \
 "http://127.0.0.1:8443/error"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.CustomErrorRestControllerApi;

import java.io.File;
import java.util.*;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError1();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError1");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.handleError1();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->handleError1: $e\n');
}

import org.openapitools.client.api.CustomErrorRestControllerApi;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError1();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError1");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
CustomErrorRestControllerApi *apiInstance = [[CustomErrorRestControllerApi alloc] init];

[apiInstance handleError1WithCompletionHandler: 
              ^(ErrorDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.CustomErrorRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.handleError1(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class handleError1Example
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new CustomErrorRestControllerApi();

            try {
                ErrorDTO result = apiInstance.handleError1();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling CustomErrorRestControllerApi.handleError1: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\CustomErrorRestControllerApi();

try {
    $result = $api_instance->handleError1();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CustomErrorRestControllerApi->handleError1: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::CustomErrorRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::CustomErrorRestControllerApi->new();

eval {
    my $result = $api_instance->handleError1();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling CustomErrorRestControllerApi->handleError1: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.CustomErrorRestControllerApi()

try:
    api_response = api_instance.handle_error1()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CustomErrorRestControllerApi->handleError1: %s\n" % e)
extern crate CustomErrorRestControllerApi;

pub fn main() {

    let mut context = CustomErrorRestControllerApi::Context::default();
    let result = client.handleError1(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


handleError2


/error

Usage and SDK Samples

curl -X PUT \
 -H "Accept: application/json" \
 "http://127.0.0.1:8443/error"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.CustomErrorRestControllerApi;

import java.io.File;
import java.util.*;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError2();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError2");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.handleError2();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->handleError2: $e\n');
}

import org.openapitools.client.api.CustomErrorRestControllerApi;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError2();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError2");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
CustomErrorRestControllerApi *apiInstance = [[CustomErrorRestControllerApi alloc] init];

[apiInstance handleError2WithCompletionHandler: 
              ^(ErrorDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.CustomErrorRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.handleError2(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class handleError2Example
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new CustomErrorRestControllerApi();

            try {
                ErrorDTO result = apiInstance.handleError2();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling CustomErrorRestControllerApi.handleError2: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\CustomErrorRestControllerApi();

try {
    $result = $api_instance->handleError2();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CustomErrorRestControllerApi->handleError2: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::CustomErrorRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::CustomErrorRestControllerApi->new();

eval {
    my $result = $api_instance->handleError2();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling CustomErrorRestControllerApi->handleError2: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.CustomErrorRestControllerApi()

try:
    api_response = api_instance.handle_error2()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CustomErrorRestControllerApi->handleError2: %s\n" % e)
extern crate CustomErrorRestControllerApi;

pub fn main() {

    let mut context = CustomErrorRestControllerApi::Context::default();
    let result = client.handleError2(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


handleError3


/error

Usage and SDK Samples

curl -X DELETE \
 -H "Accept: application/json" \
 "http://127.0.0.1:8443/error"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.CustomErrorRestControllerApi;

import java.io.File;
import java.util.*;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError3();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError3");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.handleError3();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->handleError3: $e\n');
}

import org.openapitools.client.api.CustomErrorRestControllerApi;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError3();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError3");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
CustomErrorRestControllerApi *apiInstance = [[CustomErrorRestControllerApi alloc] init];

[apiInstance handleError3WithCompletionHandler: 
              ^(ErrorDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.CustomErrorRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.handleError3(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class handleError3Example
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new CustomErrorRestControllerApi();

            try {
                ErrorDTO result = apiInstance.handleError3();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling CustomErrorRestControllerApi.handleError3: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\CustomErrorRestControllerApi();

try {
    $result = $api_instance->handleError3();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CustomErrorRestControllerApi->handleError3: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::CustomErrorRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::CustomErrorRestControllerApi->new();

eval {
    my $result = $api_instance->handleError3();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling CustomErrorRestControllerApi->handleError3: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.CustomErrorRestControllerApi()

try:
    api_response = api_instance.handle_error3()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CustomErrorRestControllerApi->handleError3: %s\n" % e)
extern crate CustomErrorRestControllerApi;

pub fn main() {

    let mut context = CustomErrorRestControllerApi::Context::default();
    let result = client.handleError3(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


handleError4


/error

Usage and SDK Samples

curl -X PATCH \
 -H "Accept: application/json" \
 "http://127.0.0.1:8443/error"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.CustomErrorRestControllerApi;

import java.io.File;
import java.util.*;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError4();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError4");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.handleError4();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->handleError4: $e\n');
}

import org.openapitools.client.api.CustomErrorRestControllerApi;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError4();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError4");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
CustomErrorRestControllerApi *apiInstance = [[CustomErrorRestControllerApi alloc] init];

[apiInstance handleError4WithCompletionHandler: 
              ^(ErrorDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.CustomErrorRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.handleError4(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class handleError4Example
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new CustomErrorRestControllerApi();

            try {
                ErrorDTO result = apiInstance.handleError4();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling CustomErrorRestControllerApi.handleError4: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\CustomErrorRestControllerApi();

try {
    $result = $api_instance->handleError4();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CustomErrorRestControllerApi->handleError4: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::CustomErrorRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::CustomErrorRestControllerApi->new();

eval {
    my $result = $api_instance->handleError4();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling CustomErrorRestControllerApi->handleError4: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.CustomErrorRestControllerApi()

try:
    api_response = api_instance.handle_error4()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CustomErrorRestControllerApi->handleError4: %s\n" % e)
extern crate CustomErrorRestControllerApi;

pub fn main() {

    let mut context = CustomErrorRestControllerApi::Context::default();
    let result = client.handleError4(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


handleError5


/error

Usage and SDK Samples

curl -X HEAD \
 -H "Accept: application/json" \
 "http://127.0.0.1:8443/error"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.CustomErrorRestControllerApi;

import java.io.File;
import java.util.*;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError5();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError5");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.handleError5();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->handleError5: $e\n');
}

import org.openapitools.client.api.CustomErrorRestControllerApi;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError5();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError5");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
CustomErrorRestControllerApi *apiInstance = [[CustomErrorRestControllerApi alloc] init];

[apiInstance handleError5WithCompletionHandler: 
              ^(ErrorDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.CustomErrorRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.handleError5(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class handleError5Example
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new CustomErrorRestControllerApi();

            try {
                ErrorDTO result = apiInstance.handleError5();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling CustomErrorRestControllerApi.handleError5: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\CustomErrorRestControllerApi();

try {
    $result = $api_instance->handleError5();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CustomErrorRestControllerApi->handleError5: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::CustomErrorRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::CustomErrorRestControllerApi->new();

eval {
    my $result = $api_instance->handleError5();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling CustomErrorRestControllerApi->handleError5: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.CustomErrorRestControllerApi()

try:
    api_response = api_instance.handle_error5()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CustomErrorRestControllerApi->handleError5: %s\n" % e)
extern crate CustomErrorRestControllerApi;

pub fn main() {

    let mut context = CustomErrorRestControllerApi::Context::default();
    let result = client.handleError5(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


handleError6


/error

Usage and SDK Samples

curl -X OPTIONS \
 -H "Accept: application/json" \
 "http://127.0.0.1:8443/error"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.CustomErrorRestControllerApi;

import java.io.File;
import java.util.*;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError6();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError6");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();


try {
    final result = await api_instance.handleError6();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->handleError6: $e\n');
}

import org.openapitools.client.api.CustomErrorRestControllerApi;

public class CustomErrorRestControllerApiExample {
    public static void main(String[] args) {
        CustomErrorRestControllerApi apiInstance = new CustomErrorRestControllerApi();

        try {
            ErrorDTO result = apiInstance.handleError6();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling CustomErrorRestControllerApi#handleError6");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
CustomErrorRestControllerApi *apiInstance = [[CustomErrorRestControllerApi alloc] init];

[apiInstance handleError6WithCompletionHandler: 
              ^(ErrorDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.CustomErrorRestControllerApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.handleError6(callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class handleError6Example
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new CustomErrorRestControllerApi();

            try {
                ErrorDTO result = apiInstance.handleError6();
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling CustomErrorRestControllerApi.handleError6: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\CustomErrorRestControllerApi();

try {
    $result = $api_instance->handleError6();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling CustomErrorRestControllerApi->handleError6: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::CustomErrorRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::CustomErrorRestControllerApi->new();

eval {
    my $result = $api_instance->handleError6();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling CustomErrorRestControllerApi->handleError6: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.CustomErrorRestControllerApi()

try:
    api_response = api_instance.handle_error6()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CustomErrorRestControllerApi->handleError6: %s\n" % e)
extern crate CustomErrorRestControllerApi;

pub fn main() {

    let mut context = CustomErrorRestControllerApi::Context::default();
    let result = client.handleError6(&context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Responses


EventsRestController

createEvent


/api/v1/events

Usage and SDK Samples

curl -X POST \
 -H "Accept: */*" \
 -H "Content-Type: application/json" \
 "http://127.0.0.1:8443/api/v1/events" \
 -d '{
  "eventId" : 0,
  "requiresRegistration" : true,
  "eventCreator" : {
    "userNickname" : "userNickname",
    "userEmail" : "userEmail",
    "userId" : 6
  },
  "link" : "link",
  "creationDate" : "2000-01-23T04:56:07.000+00:00",
  "maxParticipants" : 6,
  "eventNews" : [ {
    "newName" : "newName",
    "newId" : 3
  }, {
    "newName" : "newName",
    "newId" : 3
  } ],
  "eventImage" : {
    "id" : 6
  },
  "eventTag" : "eventTag",
  "validated" : true,
  "eventDescription" : "eventDescription",
  "eventName" : "eventName",
  "eventDate" : "2000-01-23",
  "participants" : [ {
    "userNickname" : "userNickname",
    "userEmail" : "userEmail",
    "userId" : 6
  }, {
    "userNickname" : "userNickname",
    "userEmail" : "userEmail",
    "userId" : 6
  } ]
}'
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.EventsRestControllerApi;

import java.io.File;
import java.util.*;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        EventDTO eventDTO = ; // EventDTO | 

        try {
            Object result = apiInstance.createEvent(eventDTO);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#createEvent");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final EventDTO eventDTO = new EventDTO(); // EventDTO | 

try {
    final result = await api_instance.createEvent(eventDTO);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->createEvent: $e\n');
}

import org.openapitools.client.api.EventsRestControllerApi;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        EventDTO eventDTO = ; // EventDTO | 

        try {
            Object result = apiInstance.createEvent(eventDTO);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#createEvent");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
EventsRestControllerApi *apiInstance = [[EventsRestControllerApi alloc] init];
EventDTO *eventDTO = ; // 

[apiInstance createEventWith:eventDTO
              completionHandler: ^(Object output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.EventsRestControllerApi()
var eventDTO = ; // {EventDTO} 

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.createEvent(eventDTO, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class createEventExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new EventsRestControllerApi();
            var eventDTO = new EventDTO(); // EventDTO | 

            try {
                Object result = apiInstance.createEvent(eventDTO);
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling EventsRestControllerApi.createEvent: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\EventsRestControllerApi();
$eventDTO = ; // EventDTO | 

try {
    $result = $api_instance->createEvent($eventDTO);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling EventsRestControllerApi->createEvent: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::EventsRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::EventsRestControllerApi->new();
my $eventDTO = WWW::OPenAPIClient::Object::EventDTO->new(); # EventDTO | 

eval {
    my $result = $api_instance->createEvent(eventDTO => $eventDTO);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling EventsRestControllerApi->createEvent: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.EventsRestControllerApi()
eventDTO =  # EventDTO | 

try:
    api_response = api_instance.create_event(eventDTO)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling EventsRestControllerApi->createEvent: %s\n" % e)
extern crate EventsRestControllerApi;

pub fn main() {
    let eventDTO = ; // EventDTO

    let mut context = EventsRestControllerApi::Context::default();
    let result = client.createEvent(eventDTO, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Body parameters
Name Description
eventDTO *

Responses


createEventImage


/api/v1/events/{id}/images

Usage and SDK Samples

curl -X POST \
 -H "Accept: */*" \
 -H "Content-Type: application/json" \
 "http://127.0.0.1:8443/api/v1/events/{id}/images" \
 -d ''
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.EventsRestControllerApi;

import java.io.File;
import java.util.*;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Long id = 789; // Long | 
        UpdateNewImageRequest updateNewImageRequest = ; // UpdateNewImageRequest | 

        try {
            ImageDTO result = apiInstance.createEventImage(id, updateNewImageRequest);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#createEventImage");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Long id = new Long(); // Long | 
final UpdateNewImageRequest updateNewImageRequest = new UpdateNewImageRequest(); // UpdateNewImageRequest | 

try {
    final result = await api_instance.createEventImage(id, updateNewImageRequest);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->createEventImage: $e\n');
}

import org.openapitools.client.api.EventsRestControllerApi;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Long id = 789; // Long | 
        UpdateNewImageRequest updateNewImageRequest = ; // UpdateNewImageRequest | 

        try {
            ImageDTO result = apiInstance.createEventImage(id, updateNewImageRequest);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#createEventImage");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
EventsRestControllerApi *apiInstance = [[EventsRestControllerApi alloc] init];
Long *id = 789; //  (default to null)
UpdateNewImageRequest *updateNewImageRequest = ; //  (optional)

[apiInstance createEventImageWith:id
    updateNewImageRequest:updateNewImageRequest
              completionHandler: ^(ImageDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.EventsRestControllerApi()
var id = 789; // {Long} 
var opts = {
  'updateNewImageRequest':  // {UpdateNewImageRequest} 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.createEventImage(id, opts, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class createEventImageExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new EventsRestControllerApi();
            var id = 789;  // Long |  (default to null)
            var updateNewImageRequest = new UpdateNewImageRequest(); // UpdateNewImageRequest |  (optional) 

            try {
                ImageDTO result = apiInstance.createEventImage(id, updateNewImageRequest);
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling EventsRestControllerApi.createEventImage: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\EventsRestControllerApi();
$id = 789; // Long | 
$updateNewImageRequest = ; // UpdateNewImageRequest | 

try {
    $result = $api_instance->createEventImage($id, $updateNewImageRequest);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling EventsRestControllerApi->createEventImage: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::EventsRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::EventsRestControllerApi->new();
my $id = 789; # Long | 
my $updateNewImageRequest = WWW::OPenAPIClient::Object::UpdateNewImageRequest->new(); # UpdateNewImageRequest | 

eval {
    my $result = $api_instance->createEventImage(id => $id, updateNewImageRequest => $updateNewImageRequest);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling EventsRestControllerApi->createEventImage: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.EventsRestControllerApi()
id = 789 # Long |  (default to null)
updateNewImageRequest =  # UpdateNewImageRequest |  (optional)

try:
    api_response = api_instance.create_event_image(id, updateNewImageRequest=updateNewImageRequest)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling EventsRestControllerApi->createEventImage: %s\n" % e)
extern crate EventsRestControllerApi;

pub fn main() {
    let id = 789; // Long
    let updateNewImageRequest = ; // UpdateNewImageRequest

    let mut context = EventsRestControllerApi::Context::default();
    let result = client.createEventImage(id, updateNewImageRequest, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Path parameters
Name Description
id*
Long (int64)
Required
Body parameters
Name Description
updateNewImageRequest

Responses


deleteEvent


/api/v1/events/{id}

Usage and SDK Samples

curl -X DELETE \
 -H "Accept: */*" \
 "http://127.0.0.1:8443/api/v1/events/{id}"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.EventsRestControllerApi;

import java.io.File;
import java.util.*;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Long id = 789; // Long | 

        try {
            Object result = apiInstance.deleteEvent(id);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#deleteEvent");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Long id = new Long(); // Long | 

try {
    final result = await api_instance.deleteEvent(id);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->deleteEvent: $e\n');
}

import org.openapitools.client.api.EventsRestControllerApi;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Long id = 789; // Long | 

        try {
            Object result = apiInstance.deleteEvent(id);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#deleteEvent");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
EventsRestControllerApi *apiInstance = [[EventsRestControllerApi alloc] init];
Long *id = 789; //  (default to null)

[apiInstance deleteEventWith:id
              completionHandler: ^(Object output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.EventsRestControllerApi()
var id = 789; // {Long} 

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.deleteEvent(id, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class deleteEventExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new EventsRestControllerApi();
            var id = 789;  // Long |  (default to null)

            try {
                Object result = apiInstance.deleteEvent(id);
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling EventsRestControllerApi.deleteEvent: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\EventsRestControllerApi();
$id = 789; // Long | 

try {
    $result = $api_instance->deleteEvent($id);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling EventsRestControllerApi->deleteEvent: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::EventsRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::EventsRestControllerApi->new();
my $id = 789; # Long | 

eval {
    my $result = $api_instance->deleteEvent(id => $id);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling EventsRestControllerApi->deleteEvent: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.EventsRestControllerApi()
id = 789 # Long |  (default to null)

try:
    api_response = api_instance.delete_event(id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling EventsRestControllerApi->deleteEvent: %s\n" % e)
extern crate EventsRestControllerApi;

pub fn main() {
    let id = 789; // Long

    let mut context = EventsRestControllerApi::Context::default();
    let result = client.deleteEvent(id, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Path parameters
Name Description
id*
Long (int64)
Required

Responses


deleteEventImage


/api/v1/events/{eventId}/images/{imageId}

Usage and SDK Samples

curl -X DELETE \
 -H "Accept: */*" \
 "http://127.0.0.1:8443/api/v1/events/{eventId}/images/{imageId}"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.EventsRestControllerApi;

import java.io.File;
import java.util.*;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Long eventId = 789; // Long | 
        Long imageId = 789; // Long | 

        try {
            ImageDTO result = apiInstance.deleteEventImage(eventId, imageId);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#deleteEventImage");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Long eventId = new Long(); // Long | 
final Long imageId = new Long(); // Long | 

try {
    final result = await api_instance.deleteEventImage(eventId, imageId);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->deleteEventImage: $e\n');
}

import org.openapitools.client.api.EventsRestControllerApi;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Long eventId = 789; // Long | 
        Long imageId = 789; // Long | 

        try {
            ImageDTO result = apiInstance.deleteEventImage(eventId, imageId);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#deleteEventImage");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
EventsRestControllerApi *apiInstance = [[EventsRestControllerApi alloc] init];
Long *eventId = 789; //  (default to null)
Long *imageId = 789; //  (default to null)

[apiInstance deleteEventImageWith:eventId
    imageId:imageId
              completionHandler: ^(ImageDTO output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.EventsRestControllerApi()
var eventId = 789; // {Long} 
var imageId = 789; // {Long} 

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.deleteEventImage(eventId, imageId, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class deleteEventImageExample
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new EventsRestControllerApi();
            var eventId = 789;  // Long |  (default to null)
            var imageId = 789;  // Long |  (default to null)

            try {
                ImageDTO result = apiInstance.deleteEventImage(eventId, imageId);
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling EventsRestControllerApi.deleteEventImage: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\EventsRestControllerApi();
$eventId = 789; // Long | 
$imageId = 789; // Long | 

try {
    $result = $api_instance->deleteEventImage($eventId, $imageId);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling EventsRestControllerApi->deleteEventImage: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::EventsRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::EventsRestControllerApi->new();
my $eventId = 789; # Long | 
my $imageId = 789; # Long | 

eval {
    my $result = $api_instance->deleteEventImage(eventId => $eventId, imageId => $imageId);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling EventsRestControllerApi->deleteEventImage: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.EventsRestControllerApi()
eventId = 789 # Long |  (default to null)
imageId = 789 # Long |  (default to null)

try:
    api_response = api_instance.delete_event_image(eventId, imageId)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling EventsRestControllerApi->deleteEventImage: %s\n" % e)
extern crate EventsRestControllerApi;

pub fn main() {
    let eventId = 789; // Long
    let imageId = 789; // Long

    let mut context = EventsRestControllerApi::Context::default();
    let result = client.deleteEventImage(eventId, imageId, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Path parameters
Name Description
eventId*
Long (int64)
Required
imageId*
Long (int64)
Required

Responses


findByFilter2


/api/v1/events

Usage and SDK Samples

curl -X GET \
 -H "Accept: */*" \
 "http://127.0.0.1:8443/api/v1/events?name=name_example&tag=tag_example&pageable="
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.EventsRestControllerApi;

import java.io.File;
import java.util.*;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Pageable pageable = ; // Pageable | 
        String name = name_example; // String | 
        String tag = tag_example; // String | 

        try {
            PagedModelObject result = apiInstance.findByFilter2(pageable, name, tag);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#findByFilter2");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Pageable pageable = new Pageable(); // Pageable | 
final String name = new String(); // String | 
final String tag = new String(); // String | 

try {
    final result = await api_instance.findByFilter2(pageable, name, tag);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->findByFilter2: $e\n');
}

import org.openapitools.client.api.EventsRestControllerApi;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Pageable pageable = ; // Pageable | 
        String name = name_example; // String | 
        String tag = tag_example; // String | 

        try {
            PagedModelObject result = apiInstance.findByFilter2(pageable, name, tag);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#findByFilter2");
            e.printStackTrace();
        }
    }
}


// Create an instance of the API class
EventsRestControllerApi *apiInstance = [[EventsRestControllerApi alloc] init];
Pageable *pageable = ; //  (default to null)
String *name = name_example; //  (optional) (default to null)
String *tag = tag_example; //  (optional) (default to null)

[apiInstance findByFilter2With:pageable
    name:name
    tag:tag
              completionHandler: ^(PagedModelObject output, NSError* error) {
    if (output) {
        NSLog(@"%@", output);
    }
    if (error) {
        NSLog(@"Error: %@", error);
    }
}];
var OpenApiDefinition = require('open_api_definition');

// Create an instance of the API class
var api = new OpenApiDefinition.EventsRestControllerApi()
var pageable = ; // {Pageable} 
var opts = {
  'name': name_example, // {String} 
  'tag': tag_example // {String} 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.findByFilter2(pageable, opts, callback);
using System;
using System.Diagnostics;
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Client;
using Org.OpenAPITools.Model;

namespace Example
{
    public class findByFilter2Example
    {
        public void main()
        {

            // Create an instance of the API class
            var apiInstance = new EventsRestControllerApi();
            var pageable = new Pageable(); // Pageable |  (default to null)
            var name = name_example;  // String |  (optional)  (default to null)
            var tag = tag_example;  // String |  (optional)  (default to null)

            try {
                PagedModelObject result = apiInstance.findByFilter2(pageable, name, tag);
                Debug.WriteLine(result);
            } catch (Exception e) {
                Debug.Print("Exception when calling EventsRestControllerApi.findByFilter2: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Create an instance of the API class
$api_instance = new OpenAPITools\Client\Api\EventsRestControllerApi();
$pageable = ; // Pageable | 
$name = name_example; // String | 
$tag = tag_example; // String | 

try {
    $result = $api_instance->findByFilter2($pageable, $name, $tag);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling EventsRestControllerApi->findByFilter2: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::OPenAPIClient::Configuration;
use WWW::OPenAPIClient::EventsRestControllerApi;

# Create an instance of the API class
my $api_instance = WWW::OPenAPIClient::EventsRestControllerApi->new();
my $pageable = ; # Pageable | 
my $name = name_example; # String | 
my $tag = tag_example; # String | 

eval {
    my $result = $api_instance->findByFilter2(pageable => $pageable, name => $name, tag => $tag);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling EventsRestControllerApi->findByFilter2: $@\n";
}
from __future__ import print_statement
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Create an instance of the API class
api_instance = openapi_client.EventsRestControllerApi()
pageable =  # Pageable |  (default to null)
name = name_example # String |  (optional) (default to null)
tag = tag_example # String |  (optional) (default to null)

try:
    api_response = api_instance.find_by_filter2(pageable, name=name, tag=tag)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling EventsRestControllerApi->findByFilter2: %s\n" % e)
extern crate EventsRestControllerApi;

pub fn main() {
    let pageable = ; // Pageable
    let name = name_example; // String
    let tag = tag_example; // String

    let mut context = EventsRestControllerApi::Context::default();
    let result = client.findByFilter2(pageable, name, tag, &context).wait();

    println!("{:?}", result);
}

Scopes

Parameters

Query parameters
Name Description
name
String
tag
String
pageable*
Pageable
Required

Responses


getEvent


/api/v1/events/{id}

Usage and SDK Samples

curl -X GET \
 -H "Accept: */*" \
 "http://127.0.0.1:8443/api/v1/events/{id}"
import org.openapitools.client.*;
import org.openapitools.client.auth.*;
import org.openapitools.client.model.*;
import org.openapitools.client.api.EventsRestControllerApi;

import java.io.File;
import java.util.*;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {

        // Create an instance of the API class
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Long id = 789; // Long | 

        try {
            Object result = apiInstance.getEvent(id);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling EventsRestControllerApi#getEvent");
            e.printStackTrace();
        }
    }
}
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

final Long id = new Long(); // Long | 

try {
    final result = await api_instance.getEvent(id);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->getEvent: $e\n');
}

import org.openapitools.client.api.EventsRestControllerApi;

public class EventsRestControllerApiExample {
    public static void main(String[] args) {
        EventsRestControllerApi apiInstance = new EventsRestControllerApi();
        Long id = 789; // Long | 

        try {
            Object result = apiInstance.getEvent(id);
            System.out.println(result);
[...]
